Gentoo Logo
Gentoo Spaceship




Note: Due to technical difficulties, the Archives are currently not up to date. GMANE provides an alternative service for most mailing lists.
c.f. bug 424647
List Archive: gentoo-commits
Navigation:
Lists: gentoo-commits: < Prev By Thread Next > < Prev By Date Next >
Headers:
To: gentoo-commits@g.o
From: "Davide Pesavento" <pesa@g.o>
Subject: proj/qt:master commit in: x11-libs/qt-bearer/, x11-libs/qt-core/, eclass/, x11-libs/qt-network/
Date: Fri, 8 Jun 2012 16:36:28 +0000 (UTC)
commit:     10720006140dd6e68b99302d281eaa5857ae00cd
Author:     Davide Pesavento <davidepesa <AT> gmail <DOT> com>
AuthorDate: Fri Jun  8 16:31:10 2012 +0000
Commit:     Davide Pesavento <pesa <AT> gentoo <DOT> org>
CommitDate: Fri Jun  8 16:31:10 2012 +0000
URL:        http://git.overlays.gentoo.org/gitweb/?p=proj/qt.git;a=commit;h=10720006

Move QtNetwork module from qt-core to a separate package; merge qt-bearer into qt-network.

---
 eclass/qt5-build.eclass                            |    2 +-
 x11-libs/qt-bearer/metadata.xml                    |    1 -
 x11-libs/qt-core/qt-core-5.9999.ebuild             |    5 +----
 x11-libs/{qt-bearer => qt-network}/metadata.xml    |    4 ----
 .../qt-network-5.9999.ebuild}                      |   14 ++++++--------
 5 files changed, 8 insertions(+), 18 deletions(-)

diff --git a/eclass/qt5-build.eclass b/eclass/qt5-build.eclass
index 80e0c9c..8fd8e84 100644
--- a/eclass/qt5-build.eclass
+++ b/eclass/qt5-build.eclass
@@ -32,7 +32,7 @@ LICENSE="|| ( LGPL-2.1 GPL-3 )"
 SLOT="5"
 
 case ${PN#qt-} in
-	bearer|core|dbus|gui|sql|test|xml)	EGIT_PROJECT="qtbase" ;;
+	core|dbus|gui|network|sql|test|xml)	EGIT_PROJECT="qtbase" ;;
 	3d|jsbackend|script|svg|xmlpatterns)	EGIT_PROJECT="${PN/-}" ;;
 	*) die "qt5-build.eclass: unknown module ${PN}" ;;
 esac

diff --git a/x11-libs/qt-bearer/metadata.xml b/x11-libs/qt-bearer/metadata.xml
index 9911f48..2da24f3 100644
--- a/x11-libs/qt-bearer/metadata.xml
+++ b/x11-libs/qt-bearer/metadata.xml
@@ -4,7 +4,6 @@
 	<herd>qt</herd> 
 	<use>
 		<flag name="c++0x">Build Qt using the C++11 standard</flag>
-		<flag name="c++11">Build Qt using the C++11 standard</flag>
 		<flag name="connman">Enable ConnMan-based bearer plugin</flag>
 		<flag name="exceptions">Add support for exceptions - like catching them
 			inside the event loop (recommended by Nokia)</flag>

diff --git a/x11-libs/qt-core/qt-core-5.9999.ebuild b/x11-libs/qt-core/qt-core-5.9999.ebuild
index eb950f1..c0d8fb2 100644
--- a/x11-libs/qt-core/qt-core-5.9999.ebuild
+++ b/x11-libs/qt-core/qt-core-5.9999.ebuild
@@ -14,7 +14,7 @@ else
 	KEYWORDS="~amd64"
 fi
 
-IUSE="+glib icu ssl"
+IUSE="+glib icu"
 
 DEPEND="
 	>=dev-libs/libpcre-8.30[pcre16]
@@ -22,7 +22,6 @@ DEPEND="
 	virtual/libiconv
 	glib? ( dev-libs/glib:2 )
 	icu? ( >=dev-libs/icu-49 )
-	ssl? ( dev-libs/openssl:0 )
 "
 RDEPEND="${DEPEND}"
 
@@ -32,7 +31,6 @@ QT5_TARGET_SUBDIRS=(
 	src/tools/rcc
 	src/tools/qdoc
 	src/corelib
-	src/network
 	src/concurrent
 )
 
@@ -41,7 +39,6 @@ src_configure() {
 		$(qt_use glib)
 		-iconv
 		$(qt_use icu)
-		$(use ssl && echo -openssl-linked || echo -no-openssl)
 		-no-accessibility -no-gui -no-cups -no-dbus
 		-no-xcb -no-eglfs -no-directfb -no-opengl
 	)

diff --git a/x11-libs/qt-bearer/metadata.xml b/x11-libs/qt-network/metadata.xml
similarity index 58%
copy from x11-libs/qt-bearer/metadata.xml
copy to x11-libs/qt-network/metadata.xml
index 9911f48..97932fd 100644
--- a/x11-libs/qt-bearer/metadata.xml
+++ b/x11-libs/qt-network/metadata.xml
@@ -3,12 +3,8 @@
 <pkgmetadata>
 	<herd>qt</herd> 
 	<use>
-		<flag name="c++0x">Build Qt using the C++11 standard</flag>
 		<flag name="c++11">Build Qt using the C++11 standard</flag>
 		<flag name="connman">Enable ConnMan-based bearer plugin</flag>
-		<flag name="exceptions">Add support for exceptions - like catching them
-			inside the event loop (recommended by Nokia)</flag>
 		<flag name="networkmanager">Enable NetworkManager-based bearer plugin</flag>
-		<flag name="qpa">Build a window system agnostic implementation of Qt</flag>
 	</use>
 </pkgmetadata>

diff --git a/x11-libs/qt-bearer/qt-bearer-5.9999.ebuild b/x11-libs/qt-network/qt-network-5.9999.ebuild
similarity index 80%
rename from x11-libs/qt-bearer/qt-bearer-5.9999.ebuild
rename to x11-libs/qt-network/qt-network-5.9999.ebuild
index 95179f6..a3d0921 100644
--- a/x11-libs/qt-bearer/qt-bearer-5.9999.ebuild
+++ b/x11-libs/qt-network/qt-network-5.9999.ebuild
@@ -14,12 +14,14 @@ else
 	KEYWORDS="~amd64"
 fi
 
-IUSE="connman networkmanager"
+IUSE="connman networkmanager +ssl"
 
 DEPEND="
+	sys-libs/zlib
 	~x11-libs/qt-core-${PV}[debug=]
 	connman? ( ~x11-libs/qt-dbus-${PV}[debug=] )
 	networkmanager? ( ~x11-libs/qt-dbus-${PV}[debug=] )
+	ssl? ( dev-libs/openssl:0 )
 "
 RDEPEND="${DEPEND}
 	connman? ( net-misc/connman )
@@ -27,6 +29,7 @@ RDEPEND="${DEPEND}
 "
 
 QT5_TARGET_SUBDIRS=(
+	src/network
 	src/plugins/bearer/generic
 )
 
@@ -39,15 +42,10 @@ pkg_setup() {
 
 src_configure() {
 	local myconf=(
+		$(use connman || use networkmanager && echo -dbus-linked || echo -no-dbus)
+		$(use ssl && echo -openssl-linked || echo -no-openssl)
 		-no-accessibility -no-gui -no-cups
 		-no-xcb -no-eglfs -no-directfb -no-opengl
 	)
-
-	if use connman || use networkmanager; then
-		myconf+=(-dbus-linked)
-	else
-		myconf+=(-no-dbus)
-	fi
-
 	qt5-build_src_configure
 }


Navigation:
Lists: gentoo-commits: < Prev By Thread Next > < Prev By Date Next >
Previous by thread:
gentoo-x86 commit in app-arch/dpkg: ChangeLog dpkg-1.16.4.ebuild
Next by thread:
gentoo-x86 commit in dev-python/pypy: metadata.xml ChangeLog
Previous by date:
gentoo-x86 commit in app-arch/dpkg: ChangeLog dpkg-1.16.4.ebuild
Next by date:
gentoo-x86 commit in dev-python/pypy: metadata.xml ChangeLog


Updated Jun 26, 2012

Summary: Archive of the gentoo-commits mailing list.

Donate to support our development efforts.

Copyright 2001-2013 Gentoo Foundation, Inc. Questions, Comments? Contact us.